%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate ansi_colours

Name:           rust-ansi_colours
Version:        1.2.2
Release:    1%{?dist}
Summary:        True-colour ↔ ANSI terminal palette converter

License:        LGPL-3.0-or-later
URL:            https://crates.io/crates/ansi_colours
Source0:         %{crates_source}
Patch:          ansi_colours-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
True-colour ↔ ANSI terminal palette converter.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ansi_term-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ansi_term-devel %{_description}

This package contains library source intended for building other packages which
use the "ansi_term" feature of the "%{crate}" crate.

%files       -n %{name}+ansi_term-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rgb-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rgb-devel %{_description}

This package contains library source intended for building other packages which
use the "rgb" feature of the "%{crate}" crate.

%files       -n %{name}+rgb-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+termcolor-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+termcolor-devel %{_description}

This package contains library source intended for building other packages which
use the "termcolor" feature of the "%{crate}" crate.

%files       -n %{name}+termcolor-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.2-1
- initial build
